/* **********************************************************
 * Copyright 1998 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/



#ifndef TASK_H
#define TASK_H

#define INCLUDE_ALLOW_MODULE
#define INCLUDE_ALLOW_VMCORE
#include "includeCheck.h"

struct InitBlock;

extern int Task_InitCrosspage(VMDriver *vm, struct InitBlock *params);
extern void Task_Switch(VMDriver *vm, Vcpuid vcpuid);
extern Bool Task_SysenterMSRInitialize(void);
extern void Task_SysenterMSRReset(void);
extern void Task_Switch_V45(VMDriver *vm, Vcpuid vcpuid);
extern void Task_Switch_TOT(VMDriver *vm, Vcpuid vcpuid);
extern int Task_CheckPadding(void);

#endif



